> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optareach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create workspace



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/workspaces
openapi: 3.1.0
info:
  title: Optareach Public API
  version: 1.0.0
  description: >-
    Platform-first API surface for accounts, prospects, campaigns, inbox,
    tracked searches, AI rooms, jobs, workspaces, analytics, billing, profile,
    and knowledge bases.
servers:
  - url: /
    description: Current environment
security: []
tags:
  - name: Meta
    description: API metadata and discovery
  - name: Platforms
    description: Platform registry and capabilities
  - name: Accounts
    description: Connected sender accounts
  - name: Prospects
    description: Prospect lists and leads
  - name: Campaigns
    description: Campaign lifecycle and performance
  - name: Inbox
    description: Conversations and messages
  - name: TrackedSearches
    description: Mentions and tracked search streams
  - name: AI
    description: AI chat rooms and enrichment
  - name: Jobs
    description: Background jobs
  - name: Workspaces
    description: Workspace management
  - name: KnowledgeBases
    description: Knowledge base management
  - name: Analytics
    description: Global dashboard metrics
  - name: Billing
    description: Subscriptions and credits
  - name: Profile
    description: Current user profile
  - name: Tags
    description: Conversation tags
  - name: Notifications
    description: Notification feed
paths:
  /api/v1/workspaces:
    post:
      tags:
        - Workspaces
      summary: Create workspace
      requestBody:
        description: Workspace payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceWrite'
            example:
              name: Optareach
              slug: optareach
      responses:
        '201':
          description: Workspace created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Workspace'
                required:
                  - data
              example:
                data:
                  id: ws_optareach
                  name: Optareach
                  slug: optareach
                  plan: growth
                  role: owner
                  createdAt: '2026-01-10T10:00:00.000Z'
components:
  schemas:
    WorkspaceWrite:
      type: object
      properties:
        name:
          type: string
        slug:
          type: string
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        plan:
          type: string
        role:
          type: string
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - slug
        - plan
        - role

````